Zum Inhalt

Update shipToAddress

Update the properties of a ship to address object for Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

PATCH {businesscentralPrefix}/companies({id})/shipToAddressesWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json
If-Match Required. When this request header is included and the eTag provided does not match the current tag on the shipToAddress, the shipToAddress will not be updated.

Request body

In the request body, supply the values for relevant fields that should be updated. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.

Response

If successful, this method returns a 200 OK response code and an updated shipToAddress object in the response body.

Example

Request

Here is an example of the request.

PATCH https://{businesscentralPrefix}/companies({id})/shipToAddressesWebCon({id})
Content-type: application/json

{
    "country": "DE"
}

Response

Here is an example of the reponse.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

HTTP/1.1 200 OK
Content-type: application/json

{
    "id": "6a9236ae-ae4c-ee11-a0d4-f8b8b30ee139",
    "code": "HHS",
    "customerNumber": "D00070",
    "name": "TSO-DATA GmbH",
    "name2": "",
    "address": "Heinrich-Hasemeier-Straße 15",
    "address2": "",
    "city": "Osnabrück",
    "country": "DE",
    "postCode": "49076",
    "blocked": false
}

See also

Tips for working with the APIs
shipToAddress
Get shipToAddress
Delete shipToAddress
Create shipToAddress